# -*- mode: ruby -*-
# vi: set ft=ruby :

# Vagrantfile API/syntax version. Don't touch unless you know what you're doing!
VAGRANTFILE_API_VERSION = "2"

Vagrant.configure(VAGRANTFILE_API_VERSION) do |config|
  
  # Vagrant base box.
  config.vm.box = "ubuntu-server-trusty-64"
  config.vm.box_url = "http://cloud-images.ubuntu.com/vagrant/trusty/current/trusty-server-cloudimg-amd64-vagrant-disk1.box" 

  # Forward the necessary ports for the web server, fake SMTP server and CouchDB.tp
  config.vm.network :forwarded_port, guest: 80, host: 8080, auto_correct: true
  config.vm.network :forwarded_port, guest: 8025, host: 8025, auto_correct: true
  config.vm.network :forwarded_port, guest: 5984, host: 59840, auto_correct: true

  config.vm.provider :virtualbox do |vb|
     vb.gui = false

     # Use VBoxManage to customize the VM. For example to change memory:
     vb.customize ["modifyvm", :id, "--memory", "1024"]
  end
end
